<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.device.wifi.AddWifiPowerZone2Activity">

    <include
        android:id="@+id/il_add_wifi_zone2_top_bar"
        layout="@layout/layout_top_bar" />

    <com.abbidot.tracker.widget.TypefaceTextView
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_marginHorizontal="@dimen/dp_40"
        android:layout_marginTop="@dimen/dp_8"
        android:text="@string/txt_permanent_residence"
        android:textSize="@dimen/textSize24"
        android:textStyle="bold" />

    <com.abbidot.tracker.widget.TypefaceTextView
        style="@style/my_TextView_style_v2"
        android:layout_width="match_parent"
        android:layout_marginHorizontal="@dimen/dp_42"
        android:text="@string/txt_permanent_residence_tip"
        android:textColor="@color/select_color3"
        android:textSize="@dimen/textSize14"
        app:lineHeight="@dimen/textSize20"
        app:typeface="@string/roboto_regular_font" />

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_weight="1"
        app:cardCornerRadius="@dimen/dp_16"
        app:cardElevation="@dimen/dp_1">

        <androidx.fragment.app.FragmentContainerView
            android:id="@+id/fc_wifi_power_zone2_map_fragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/tb_refresh_location_btn"
            style="@style/map_image_yellow_btn_style"
            android:layout_gravity="bottom|end"
            android:layout_marginEnd="@dimen/dp_18"
            android:layout_marginBottom="@dimen/dp_36"
            android:visibility="gone" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_wifi_power_zone2_map_type_btn"
            style="@style/map_image_white_btn_style"
            android:layout_gravity="bottom|end"
            android:layout_margin="@dimen/dp_16" />

    </androidx.cardview.widget.CardView>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style_v2"
            android:layout_marginTop="@dimen/dp_20"
            android:text="@string/txt_is_pet_home"
            android:textStyle="bold" />

        <com.abbidot.tracker.widget.TypefaceButton
            android:id="@+id/btn_add_wifi_zone2_next"
            style="@style/my_match_RoundRect_Button_style"
            android:layout_marginBottom="@dimen/dp_2"
            android:text="@string/register_txt_next"
            app:qmui_radius="@dimen/dp_64"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_wifi_zone2_later_btn"
            style="@style/my_TextView_style_v2"
            android:background="@drawable/selector_transparent_pressed"
            android:padding="@dimen/dp_16"
            android:text="@string/txt_later"
            android:textColor="@color/select_color3"
            android:textSize="@dimen/textSize12"
            android:visibility="invisible"
            app:typeface="@string/roboto_regular_font" />
    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.appcompat.widget.LinearLayoutCompat>